com.taosdata.jdbc

## Class TableVGroupID

- java.lang.Object
- - com.taosdata.jdbc.TableVGroupID

    public class TableVGroupID
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TableVGroupID(Connection connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTableVgID(String db, String table)` getTableVgID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableVGroupID

    public TableVGroupID(Connection connection)
                  throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getTableVgID

    public int getTableVgID(String db,
                            String table)
                     throws SQLException

getTableVgID. get table's v-group id.

Parameters:
  `db` - db name
  `table` - table name
Returns:
  v-group id
Throws:
  `SQLException` - throws exception if fail.